/*Copyright (C) 2019 Centro de Computacao Cientifica e Software Livre
Departamento de Informatica - Universidade Federal do Parana

This file is part of Plataforma Integrada MEC.

Plataforma Integrada MEC is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Plataforma Integrada MEC is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with Plataforma Integrada MEC.  If not, see <http://www.gnu.org/licenses/>.*/

import React, {Component} from 'react';
import {Row, Col, Container} from 'react-grid-system';
import eduConectada from '../img/educa-conectada.png';
import { Link } from '@material-ui/core';

const blueFooter={
  backgroundColor: "#00bcd4",
  color: "white",
  display: "block",
  paddingTop: "2em",
  paddingBottom: "2em",
  verticalAlign: "bottom"
}
const listStyle={
  listStyleType: "none",
  fontSize: "80%",
  padding: "0",
  lineHeight: "1.6",
}

class EcFooter extends Component{
  render(){
    return(
      <div style={blueFooter}>
        <Container>
        <Row>
        <Col md={4} sm={5} xs={5}>
          <h4>Sobre</h4>
          <ul style={listStyle}>
          <li> <a href="/sobre">Sobre a Plataforma</a> </li>
          <Link> <a href="/sobre#portaisparceiros">Portais Parceiros</a> </Link>
          <li> <a href="/termos">Termos de Uso</a> </li>
          <li> <a href="/contato">Contato</a> </li>
          </ul>
        </Col>
        <Col md={4} sm={5} xs={5}>
          <h4>Ajuda</h4>
          <ul style={listStyle}>
          <li>    <a href="/ajuda">Central de Ajuda</a> </li>
          <li>    <a href="/publicando-recurso">Publicando Recursos</a> </li>
          <li>    <a href="/encontrando-recurso">Encontrando Recursos</a> </li>
          <li>    <a href="/participando-da-rede">Participando da Rede</a> </li>
          <li>    <a href="/gerenciando-conta">Gerenciando a Conta</a> </li>
          </ul>
        </Col>
        <Col md={4} sm={12} xs={12}>
          <img src={eduConectada} height="50%" alt="logo educação conectada"/>
        </Col>
        </Row>
        </Container>
      </div>
    )
  }
}
export default EcFooter;
